program WPchange;
uses Windows, Forms,
     Main in 'Main.pas' {MainForm},
     ConfigMgr, Core;
{$R *.res}

var OpMode:(omSetup,omDaily,omForce,omHelp);
    ParamPos:integer;
    ParamVal:string;

function GetParam:string;
begin
  if ParamPos<=ParamCount then begin
    Result:=ParamStr(ParamPos);
    inc(ParamPos);
  end else
    Result:='';
end;

begin
  randomize;
  OpMode:=omSetup;
  ParamPos:=1;
  ParamVal:=GetParam;
  while ParamVal<>'' do begin
         if ParamVal='-c' then INIFileName:=GetParam
    else if ParamVal='-a' then OpMode:=omDaily
    else if ParamVal='-f' then OpMode:=omForce
    else begin
      OpMode:=omHelp;
      break;
    end;
    ParamVal:=GetParam;
  end;
  if OpMode<>omHelp then LoadConfig;
  case OpMode of
    omDaily:DailyUpdate;
    omForce:DoIt;
    omHelp:MessageBox(0,
            'Gltige Parameter:'^M+
            '  -c <Name> = Bestimmte Konfigurationsdatei verwenden'^M+
            '  -f = Bild sofort und bedingungslos wechseln'^M+
            '  -a = Autostart-Modus: Bild wechseln, wenn ntig',
            'WPchange',MB_OK OR MB_ICONINFORMATION);
  end;
  if opMode<>omSetup then halt;

  Application.Initialize;
  Application.Title := 'WPchange';
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.
